import React from 'react';

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(source, true).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(source).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

function _objectWithoutProperties(source, excluded) {
  if (source == null) return {};

  var target = _objectWithoutPropertiesLoose(source, excluded);

  var key, i;

  if (Object.getOwnPropertySymbols) {
    var sourceSymbolKeys = Object.getOwnPropertySymbols(source);

    for (i = 0; i < sourceSymbolKeys.length; i++) {
      key = sourceSymbolKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
      target[key] = source[key];
    }
  }

  return target;
}

function Amp3dGltf(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-3d-gltf", _extends({
    "class": className
  }, props));
}

function Amp3qPlayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-3q-player", _extends({
    "class": className
  }, props));
}

function AmpAccessLaterpay(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-access-laterpay", _extends({
    "class": className
  }, props));
}

function AmpAccessPoool(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-access-poool", _extends({
    "class": className
  }, props));
}

function AmpAccordion(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-accordion", _extends({
    "class": className
  }, props));
}

function AmpActionMacro(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-action-macro", _extends({
    "class": className
  }, props));
}

function AmpAd(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-ad", _extends({
    "class": className
  }, props));
}

function AmpAdExit(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-ad-exit", _extends({
    "class": className
  }, props));
}

function AmpAddthis(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-addthis", _extends({
    "class": className
  }, props));
}

function AmpAnim(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-anim", _extends({
    "class": className
  }, props));
}

function AmpApesterMedia(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-apester-media", _extends({
    "class": className
  }, props));
}

function AmpAppBanner(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-app-banner", _extends({
    "class": className
  }, props));
}

function AmpAudio(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-audio", _extends({
    "class": className
  }, props));
}

function AmpAutoAds(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-auto-ads", _extends({
    "class": className
  }, props));
}

function AmpAutocomplete(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-autocomplete", _extends({
    "class": className
  }, props));
}

function AmpBaseCarousel(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-base-carousel", _extends({
    "class": className
  }, props));
}

function AmpBeopinion(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-beopinion", _extends({
    "class": className
  }, props));
}

function AmpBodymovinAnimation(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-bodymovin-animation", _extends({
    "class": className
  }, props));
}

function AmpBridPlayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-brid-player", _extends({
    "class": className
  }, props));
}

function AmpBrightcove(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-brightcove", _extends({
    "class": className
  }, props));
}

function AmpBysideContent(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-byside-content", _extends({
    "class": className
  }, props));
}

function AmpCallTracking(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-call-tracking", _extends({
    "class": className
  }, props));
}

function AmpCarousel(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-carousel", _extends({
    "class": className
  }, props));
}

function AmpConnatixPlayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-connatix-player", _extends({
    "class": className
  }, props));
}

function AmpConsent(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-consent", _extends({
    "class": className
  }, props));
}

function AmpDailymotion(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-dailymotion", _extends({
    "class": className
  }, props));
}

function AmpDateCountdown(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-date-countdown", _extends({
    "class": className
  }, props));
}

function AmpDateDisplay(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-date-display", _extends({
    "class": className
  }, props));
}

function AmpDatePicker(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-date-picker", _extends({
    "class": className
  }, props));
}

function AmpDelightPlayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-delight-player", _extends({
    "class": className
  }, props));
}

function AmpDynamicCssClasses(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-dynamic-css-classes", _extends({
    "class": className
  }, props));
}

function AmpEmbedlyCard(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-embedly-card", _extends({
    "class": className
  }, props));
}

function AmpExperiment(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-experiment", _extends({
    "class": className
  }, props));
}

function AmpFacebook(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-facebook", _extends({
    "class": className
  }, props));
}

function AmpFacebookComments(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-facebook-comments", _extends({
    "class": className
  }, props));
}

function AmpFacebookLike(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-facebook-like", _extends({
    "class": className
  }, props));
}

function AmpFacebookPage(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-facebook-page", _extends({
    "class": className
  }, props));
}

function AmpFitText(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-fit-text", _extends({
    "class": className
  }, props));
}

function AmpFont(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-font", _extends({
    "class": className
  }, props));
}

function AmpForm(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-form", _extends({
    "class": className
  }, props));
}

function AmpFxCollection(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-fx-collection", _extends({
    "class": className
  }, props));
}

function AmpFxFlyingCarpet(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-fx-flying-carpet", _extends({
    "class": className
  }, props));
}

function AmpGeo(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-geo", _extends({
    "class": className
  }, props));
}

function AmpGfycat(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-gfycat", _extends({
    "class": className
  }, props));
}

function AmpGist(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-gist", _extends({
    "class": className
  }, props));
}

function AmpGoogleDocumentEmbed(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-google-document-embed", _extends({
    "class": className
  }, props));
}

function AmpGoogleVrviewImage(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-google-vrview-image", _extends({
    "class": className
  }, props));
}

function AmpHulu(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-hulu", _extends({
    "class": className
  }, props));
}

function AmpIframe(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-iframe", _extends({
    "class": className
  }, props));
}

function AmpImaVideo(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-ima-video", _extends({
    "class": className
  }, props));
}

function AmpImageLightbox(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-image-lightbox", _extends({
    "class": className
  }, props));
}

function AmpImageSlider(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-image-slider", _extends({
    "class": className
  }, props));
}

function AmpImg(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-img", _extends({
    "class": className
  }, props));
}

function AmpImgur(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-imgur", _extends({
    "class": className
  }, props));
}

function AmpInputmask(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-inputmask", _extends({
    "class": className
  }, props));
}

function AmpInstagram(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-instagram", _extends({
    "class": className
  }, props));
}

function AmpInstallServiceworker(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-install-serviceworker", _extends({
    "class": className
  }, props));
}

function AmpIzlesene(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-izlesene", _extends({
    "class": className
  }, props));
}

function AmpJwplayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-jwplayer", _extends({
    "class": className
  }, props));
}

function AmpKalturaPlayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-kaltura-player", _extends({
    "class": className
  }, props));
}

function AmpLightbox(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-lightbox", _extends({
    "class": className
  }, props));
}

function AmpLightboxGallery(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-lightbox-gallery", _extends({
    "class": className
  }, props));
}

function AmpLinkRewriter(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-link-rewriter", _extends({
    "class": className
  }, props));
}

function AmpList(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-list", _extends({
    "class": className
  }, props));
}

function AmpLiveList(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-live-list", _extends({
    "class": className
  }, props));
}

function AmpMathml(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-mathml", _extends({
    "class": className
  }, props));
}

function AmpMegaphone(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-megaphone", _extends({
    "class": className
  }, props));
}

function AmpMinuteMediaPlayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-minute-media-player", _extends({
    "class": className
  }, props));
}

function AmpMowplayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-mowplayer", _extends({
    "class": className
  }, props));
}

function AmpNextPage(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-next-page", _extends({
    "class": className
  }, props));
}

function AmpNexxtvPlayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-nexxtv-player", _extends({
    "class": className
  }, props));
}

function AmpO2Player(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-o2-player", _extends({
    "class": className
  }, props));
}

function AmpOoyalaPlayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-ooyala-player", _extends({
    "class": className
  }, props));
}

function AmpOrientationObserver(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-orientation-observer", _extends({
    "class": className
  }, props));
}

function AmpPanZoom(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-pan-zoom", _extends({
    "class": className
  }, props));
}

function AmpPinterest(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-pinterest", _extends({
    "class": className
  }, props));
}

function AmpPixel(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-pixel", _extends({
    "class": className
  }, props));
}

function AmpPlaybuzz(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-playbuzz", _extends({
    "class": className
  }, props));
}

function AmpPositionObserver(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-position-observer", _extends({
    "class": className
  }, props));
}

function AmpPowrPlayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-powr-player", _extends({
    "class": className
  }, props));
}

function AmpReachPlayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-reach-player", _extends({
    "class": className
  }, props));
}

function AmpRecaptchaInput(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-recaptcha-input", _extends({
    "class": className
  }, props));
}

function AmpReddit(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-reddit", _extends({
    "class": className
  }, props));
}

function AmpRiddleQuiz(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-riddle-quiz", _extends({
    "class": className
  }, props));
}

function AmpScript(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-script", _extends({
    "class": className
  }, props));
}

function AmpSelector(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-selector", _extends({
    "class": className
  }, props));
}

function AmpShareTracking(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-share-tracking", _extends({
    "class": className
  }, props));
}

function AmpSidebar(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-sidebar", _extends({
    "class": className
  }, props));
}

function AmpSkimlinks(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-skimlinks", _extends({
    "class": className
  }, props));
}

function AmpSmartlinks(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-smartlinks", _extends({
    "class": className
  }, props));
}

function AmpSocialShare(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-social-share", _extends({
    "class": className
  }, props));
}

function AmpSoundcloud(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-soundcloud", _extends({
    "class": className
  }, props));
}

function AmpSpringboardPlayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-springboard-player", _extends({
    "class": className
  }, props));
}

function AmpStickyAd(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-sticky-ad", _extends({
    "class": className
  }, props));
}

function AmpStory(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-story", _extends({
    "class": className
  }, props));
}

function AmpStoryAutoAds(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-story-auto-ads", _extends({
    "class": className
  }, props));
}

function AmpStoryBookend(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-story-bookend", _extends({
    "class": className
  }, props));
}

function AmpStoryCtaLayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-story-cta-layer", _extends({
    "class": className
  }, props));
}

function AmpStoryGridLayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-story-grid-layer", _extends({
    "class": className
  }, props));
}

function AmpStoryPage(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-story-page", _extends({
    "class": className
  }, props));
}

function AmpStoryPageAttachment(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-story-page-attachment", _extends({
    "class": className
  }, props));
}

function AmpSubscriptions(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-subscriptions", _extends({
    "class": className
  }, props));
}

function AmpSubscriptionsGoogle(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-subscriptions-google", _extends({
    "class": className
  }, props));
}

function AmpTimeago(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-timeago", _extends({
    "class": className
  }, props));
}

function AmpTruncateText(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-truncate-text", _extends({
    "class": className
  }, props));
}

function AmpTwitter(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-twitter", _extends({
    "class": className
  }, props));
}

function AmpUserLocation(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-user-location", _extends({
    "class": className
  }, props));
}

function AmpUserNotification(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-user-notification", _extends({
    "class": className
  }, props));
}

function AmpVideo(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-video", _extends({
    "class": className
  }, props));
}

function AmpVideoDocking(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-video-docking", _extends({
    "class": className
  }, props));
}

function AmpVideoIframe(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-video-iframe", _extends({
    "class": className
  }, props));
}

function AmpVimeo(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-vimeo", _extends({
    "class": className
  }, props));
}

function AmpVine(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-vine", _extends({
    "class": className
  }, props));
}

function AmpViqeoPlayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-viqeo-player", _extends({
    "class": className
  }, props));
}

function AmpVizVega(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-viz-vega", _extends({
    "class": className
  }, props));
}

function AmpVk(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-vk", _extends({
    "class": className
  }, props));
}

function AmpWebPush(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-web-push", _extends({
    "class": className
  }, props));
}

function AmpWistiaPlayer(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-wistia-player", _extends({
    "class": className
  }, props));
}

function AmpYotpo(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-yotpo", _extends({
    "class": className
  }, props));
}

function AmpYoutube(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("amp-youtube", _extends({
    "class": className
  }, props));
}

function Script(_ref) {
  var _ref$attribute = _ref.attribute,
      attribute = _ref$attribute === void 0 ? {} : _ref$attribute,
      data = _ref.data;
  return React.createElement('script', _objectSpread2({
    type: 'application/json',
    dangerouslySetInnerHTML: {
      __html: JSON.stringify(data)
    }
  }, attribute));
}

function AmpAccess(_ref) {
  var id = _ref.id,
      data = _ref.data;
  return React.createElement(Script, {
    attribute: {
      id: id
    },
    data: data
  });
}

function AmpAnalytics(_ref) {
  var data = _ref.data,
      props = _objectWithoutProperties(_ref, ["data"]);

  var script = React.createElement('script', {
    type: 'application/json',
    dangerouslySetInnerHTML: {
      __html: JSON.stringify(data)
    }
  });
  return React.createElement('amp-analytics', _objectSpread2({}, props), script);
}

function AmpAnimation(_ref) {
  var id = _ref.id,
      animation = _ref.animation;
  var script = React.createElement('script', {
    type: 'application/json',
    dangerouslySetInnerHTML: {
      __html: JSON.stringify(animation)
    }
  });
  return React.createElement('amp-animation', {
    id: id,
    layout: 'nodisplay'
  }, script);
}

function AmpMustache(_ref) {
  var id = _ref.id,
      template = _ref.template;
  var props = {
    type: 'amp-mustache'
  };

  if (id) {
    props[id] = id;
  }

  return React.createElement('template', _objectSpread2({}, props, {
    dangerouslySetInnerHTML: {
      __html: template
    }
  }));
}

function AmpState(_ref) {
  var id = _ref.id,
      state = _ref.state;
  var script = React.createElement('script', {
    type: 'application/json',
    dangerouslySetInnerHTML: {
      __html: JSON.stringify(state)
    }
  });
  return React.createElement('amp-state', {
    id: id
  }, script);
}

export { Amp3dGltf, Amp3qPlayer, AmpAccess, AmpAccessLaterpay, AmpAccessPoool, AmpAccordion, AmpActionMacro, AmpAd, AmpAdExit, AmpAddthis, AmpAnalytics, AmpAnim, AmpAnimation, AmpApesterMedia, AmpAppBanner, AmpAudio, AmpAutoAds, AmpAutocomplete, AmpBaseCarousel, AmpBeopinion, AmpBodymovinAnimation, AmpBridPlayer, AmpBrightcove, AmpBysideContent, AmpCallTracking, AmpCarousel, AmpConnatixPlayer, AmpConsent, AmpDailymotion, AmpDateCountdown, AmpDateDisplay, AmpDatePicker, AmpDelightPlayer, AmpDynamicCssClasses, AmpEmbedlyCard, AmpExperiment, AmpFacebook, AmpFacebookComments, AmpFacebookLike, AmpFacebookPage, AmpFitText, AmpFont, AmpForm, AmpFxCollection, AmpFxFlyingCarpet, AmpGeo, AmpGfycat, AmpGist, AmpGoogleDocumentEmbed, AmpGoogleVrviewImage, AmpHulu, AmpIframe, AmpImaVideo, AmpImageLightbox, AmpImageSlider, AmpImg, AmpImgur, AmpInputmask, AmpInstagram, AmpInstallServiceworker, AmpIzlesene, AmpJwplayer, AmpKalturaPlayer, AmpLightbox, AmpLightboxGallery, AmpLinkRewriter, AmpList, AmpLiveList, AmpMathml, AmpMegaphone, AmpMinuteMediaPlayer, AmpMowplayer, AmpMustache, AmpNextPage, AmpNexxtvPlayer, AmpO2Player, AmpOoyalaPlayer, AmpOrientationObserver, AmpPanZoom, AmpPinterest, AmpPixel, AmpPlaybuzz, AmpPositionObserver, AmpPowrPlayer, AmpReachPlayer, AmpRecaptchaInput, AmpReddit, AmpRiddleQuiz, AmpScript, AmpSelector, AmpShareTracking, AmpSidebar, AmpSkimlinks, AmpSmartlinks, AmpSocialShare, AmpSoundcloud, AmpSpringboardPlayer, AmpState, AmpStickyAd, AmpStory, AmpStoryAutoAds, AmpStoryBookend, AmpStoryCtaLayer, AmpStoryGridLayer, AmpStoryPage, AmpStoryPageAttachment, AmpSubscriptions, AmpSubscriptionsGoogle, AmpTimeago, AmpTruncateText, AmpTwitter, AmpUserLocation, AmpUserNotification, AmpVideo, AmpVideoDocking, AmpVideoIframe, AmpVimeo, AmpVine, AmpViqeoPlayer, AmpVizVega, AmpVk, AmpWebPush, AmpWistiaPlayer, AmpYotpo, AmpYoutube, Script };
